Class AssetsImpl

java.lang.Object
com.eqixiac.equinix.customerportal.client.implementation.AssetsImpl
All Implemented Interfaces:
Assets

public class AssetsImpl extends Object implements Assets
  • Constructor Details

    • AssetsImpl

      public AssetsImpl()
  • Method Details

    • search

      public PaginatedList<Asset> search(AssetSearchRequest request)
      Description copied from interface: Assets
      Searches assets.

      Maps to POST /v1/assets/search (searchAssets).

      Specified by:
      search in interface Assets
      Parameters:
      request - the asset search request body
      Returns:
      a paginated list of matching assets
    • getByUuid

      public Asset getByUuid(String assetId)
      Description copied from interface: Assets
      Retrieves a specific asset by its identifier.

      Maps to GET /v1/assets/{assetId} (getAssetById).

      Specified by:
      getByUuid in interface Assets
      Parameters:
      assetId - the identifier of the asset
      Returns:
      the matching asset